### Enumeration

# GUsb DeviceDirection

unstable since: 1.0

#### Declaration

    enum GUsb.DeviceDirection

#### Description

The message direction.

Available since: 1.0

#### Members

`G_USB_DEVICE_DIRECTION_DEVICE_TO_HOST`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`G_USB_DEVICE_DIRECTION_HOST_TO_DEVICE`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0